Skip to main content
GET
Query Trackings
Query waybill tracking numbers and shipping label URLs for your orders. You can query by either:
  • uniqueRequestId — the batch identifier used when creating orders, returns all trackings for that batch
  • orderNos — the customer order number from individual order items, returns trackings for that specific order
At least one parameter must be provided.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uniqueRequestId
string

The unique request ID used when creating the order. Returns all waybills for that batch.

orderNos
string[]

The customer order numbers (the orderNo passed in each order item when creating the order). comma-separated list of order numbers. Returns trackings associated with those specific orders.

Response

List of tracking information

waybillNo
string
required

The waybill number

currentStatus
enum<string>
required

Current tracking status

Available options:
NOT_FOUND,
PRE_ADVICE_RECEIVED,
PICKED_UP,
IN_TRANSIT,
ARRIVED_DESTINATION_COUNTRY,
IN_CUSTOMS,
CUSTOMS_CLEARED,
ARRIVED_FOR_PICKUP,
OUT_FOR_DELIVERY,
DELIVERY_FAILED,
DELIVERED,
EXCEPTION,
RETURNED,
CANCELLED,
UNKNOWN
lastUpdatedAt
string<datetime>
required

The last time the tracking information was updated(even if there are no new tracking events)

trackingNumber
string

Last-mile delivery tracking number

channel
string

Shipping channel code

destinationCountry
string

Destination country of the shipment

lastMileProvider
object
trackingEvents
object[]
deliveryDays
integer

Estimated delivery days

Links to proof of delivery documents

lastEventTime
string<datetime>

The last time the tracking event was updated